[PROBLEM] AuthMe

Dieses Thema im Forum "Server Plugins" wurde erstellt von ScaryHutman, 16. Januar 2013.

  1. ScaryHutman
    Offline

    ScaryHutman

    Registriert seit:
    1. Januar 2013
    Beiträge:
    205
    Ort:
    NRW
    Minecraft:
    Scary_Hutman
    Ich habe ein Problem! Auf meinem Server habe ich das PlugIn AuthMe Reloaded installiert, aber es funktioniert nicht. Admins haben zwar zugriff auf die Kommandos wie /auhthme changepassword, aber niemand muss sich registieren und einloggen. Ich habe auch schon alle anderen Register-PlugIns probiert, aber keins funktioniert richtig. Der einzige Unterschied ist, dass AuthMe Rel. eine Fehlermeldung wiedergibt und die anderen nicht.
    Entfernt!



    [SEVERE] Could not pass event PlayerLoginEvent to AuthMe v2.7.1b1
    org.bukkit.event.EventException
    at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:427)
    at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:62)
    at org.bukkit.plugin.SimplePluginManager.fireEvent(SimplePluginManager.java:477)
    at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:462)
    at net.minecraft.server.v1_4_6.PlayerList.attemptLogin(PlayerList.java:275)
    at net.minecraft.server.v1_4_6.PendingConnection.d(PendingConnection.java:121)
    at net.minecraft.server.v1_4_6.PendingConnection.c(PendingConnection.java:45)
    at net.minecraft.server.v1_4_6.DedicatedServerConnectionThread.a(DedicatedServerConnectionThread.java:44)
    at net.minecraft.server.v1_4_6.DedicatedServerConnection.b(SourceFile:29)
    at net.minecraft.server.v1_4_6.MinecraftServer.r(MinecraftServer.java:598)
    at net.minecraft.server.v1_4_6.DedicatedServer.r(DedicatedServer.java:224)
    at net.minecraft.server.v1_4_6.MinecraftServer.q(MinecraftServer.java:494)
    at net.minecraft.server.v1_4_6.MinecraftServer.run(MinecraftServer.java:427)
    at net.minecraft.server.v1_4_6.ThreadServerApplication.run(SourceFile:849)
    Caused by: java.lang.NoClassDefFoundError: net/minecraft/server/v1_4_5/World
    at net.citizensnpcs.npc.CitizensNPCRegistry.getNPC(CitizensNPCRegistry.java:90)
    at net.citizensnpcs.npc.CitizensNPCRegistry.isNPC(CitizensNPCRegistry.java:96)
    at uk.org.whoami.authme.plugin.manager.CitizensCommunicator.isNPC(CitizensCommunicator.java:39)
    at uk.org.whoami.authme.listener.AuthMePlayerListener.onPlayerLogin(AuthMePlayerListener.java:564)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:601)
    at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:425)
    ... 13 more


    Ich habe schon im Forum, Google, etc. gesucht, aber niemand hatte das selbe Problem.


    ScaryHutman
     
    #1
  2. AchtungTroll
    Offline

    AchtungTroll

    Registriert seit:
    9. Juli 2012
    Beiträge:
    330
    Ort:
    Erfurt
    Minecraft:
    Xusiy
    Liegt bestimmt an Citizen
     
    #2
  3. Crafter6432
    Offline

    Crafter6432

    Registriert seit:
    22. Dezember 2011
    Beiträge:
    686
    Funktioniert deine Datenbank bzw. nutzt du eine?
     
    #3
  4. ScaryHutman
    Offline

    ScaryHutman

    Registriert seit:
    1. Januar 2013
    Beiträge:
    205
    Ort:
    NRW
    Minecraft:
    Scary_Hutman
    Nein, nutze ich nicht. :)
     
    #4
  5. hacky998
    Offline

    hacky998

    Registriert seit:
    12. Januar 2012
    Beiträge:
    268
    Ort:
    Deutschland
    Minecraft:
    hacky998
    Es liegt an Citizens!
    Hatte das Problem auch ;)
    Citizens raus und warten, bis eine kompatible Build rauskommt.
     
    #5